### Function

# Gtk CustomAllocateFunc

#### Declaration

    void
    CustomAllocateFunc (
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to allocate a widget.

#### Parameters

`widget` | `GtkWidget`
| The widget to allocate.
| The data is owned by the caller of the function.
`width` | `int`
| The new width of the widget.
`height` | `int`
| The new height of the widget.
`baseline` | `int`
| The new baseline of the widget, or -1.